org.kie.internal.builder.conf

## Enum SessionCacheOption

- java.lang.Object
- - java.lang.Enum<SessionCacheOption>
  - - org.kie.internal.builder.conf.SessionCacheOption

- All Implemented Interfaces:
    Serializable, Comparable<SessionCacheOption>, org.kie.api.conf.KieBaseOption, org.kie.api.conf.Option, org.kie.api.conf.SingleValueKieBaseOption, KnowledgeBuilderOption, SingleValueKnowledgeBuilderOption

      public enum SessionCacheOption
      extends Enum<SessionCacheOption>
      implements SingleValueKnowledgeBuilderOption, org.kie.api.conf.SingleValueKieBaseOption

  An Enum for SessionCacheOption option. drools.sessionCache = <none|sync|async> DEFAULT = none If this option is enabled caches disposed sessions and recycles them when a new session is required. In order to reuse a session it has to be resetted first, this resetting process can be synchronous or asynchronous. This option is valid only when using the phreak rule engine (default). This option is new to Drools 6.1. Before 6.1, Drools would never cache sessions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASYNC`
    `NONE`
    `SYNC`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME` The property name for the process string escapes option

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SessionCacheOption` | `determineOption(String val)`
    `String` | `getPropertyName()`
    `boolean` | `isAsync()`
    `boolean` | `isEnabled()`
    `static SessionCacheOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SessionCacheOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SessionCacheOption NONE

    - #### SYNC

          public static final SessionCacheOption SYNC

    - #### ASYNC

          public static final SessionCacheOption ASYNC

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the process string escapes option
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static SessionCacheOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SessionCacheOption c : SessionCacheOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SessionCacheOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### determineOption

          public static SessionCacheOption determineOption(String val)

    - #### isEnabled

          public boolean isEnabled()

    - #### isAsync

          public boolean isAsync()

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.